<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Holiday Setup</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
    <link rel="stylesheet" href="../../../../dist/css/main.css" type="text/css" />
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
</head>

<body>
    <div class="sidenav leftSidebar expandedNav" id="adminBavbar"></div>
    <div id="mainContent">
        <nav class="navbar-header">
            <!-- for topnavigation bar topbar.js -->
        </nav>
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">Holiday Setup</h2>
            </div>
        </div>

        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content adminTabContent withoutTabing">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting" id="addForm">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">
                                        <h3>List of holidays</h3>

                                    </div>
                                </div>

                                <div class="content">
                                    <div class="row no-padding">
                                        <div class="fields mr-4 mb-4">
                                            <label for="year" class="labelGroup">Year <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="year" name="year">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    year</option>
                                                <option value="18-19">18-19</option>
                                                <option value="17-18">17-18</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4">
                                            <label for="region" class="labelGroup">Region <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="region" name="region">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    Region</option>
                                                <option value="delhi">Delhi</option>
                                                <option value="mumbai">Mumbai</option>
                                                <option value="all">All</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4">
                                            <label for="copyFrom" class="labelGroup">Copy From <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="copyFrom" name="copyFrom">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    copy from</option>
                                                <option value="delhi">Delhi</option>
                                                <option value="mumbai">Mumbai</option>
                                                <option value="all">All</option>
                                            </select>
                                        </div>  
                                    </div>

                                    <div class="row no-padding">
                                        <div class="fields mr-4 mb-4">
                                            <label for="holidayName" class="labelGroup">Holiday Name <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="holidayName" name="holidayName"
                                                placeholder="Enter the holiday name">
                                        </div>
                                        <div class="fields mr-4 mb-4">
                                            <label for="Type" class="labelGroup">Type <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="Type" name="Type">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    type</option>
                                                <option value="optional">Optional</option>
                                            </select>
                                        </div>


                                        <div class="fields mr-4 mb-4 inputBoxIcon">
                                            <label for="startDate" class="labelGroup">Start Date <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="startDate" name="startDate"
                                                placeholder="Select start date" />
                                            <span class="inputIcon mr-3">
                                                <i class="far fa-calendar-alt cal1"></i>
                                            </span>
                                        </div>
                                        <div class="fields mr-4 mb-4 inputBoxIcon">
                                            <label for="endDate" class="labelGroup">End Date <span
                                                    class="mandatorySign">*</span> </label>
                                            <input class="mandatory" type="text" id="endDate" name="endDate"
                                                placeholder="Select end date" />
                                            <span class="inputIcon mr-3">
                                                <i class="far fa-calendar-alt cal2"></i>
                                            </span>
                                        </div>

                                    </div>
                                    <button onclick="formValidations('addForm');" id="customQues"
                                        class="oct-btn btn-default mb-4 ">Add</button>
                                    <div class="table-responsive table-striped table-hover">
                                        <table class="innerTable">
                                            <tr>
                                                <th class="trHead">Name
                                                </th>
                                                <th class="trHead">Type
                                                </th>
                                                <th class="trHead">Start Date
                                                </th>
                                                <th class="trHead">Day
                                                </th>
                                                <th class="trHead">End Date
                                                </th>
                                                <th class="trHead">Day
                                                </th>
                                                <th class="trHead thSeven">Actions
                                                </th>


                                            </tr>

                                            <tr>
                                                <td>New Year</td>
                                                <td>Optional</td>
                                                <td>01/01/2018</td>
                                                <td>Mon</td>
                                                <td>01/01/2018</td>
                                                <td>Mon</td>
                                                <td class="thSeven"><button class="oct-btn oct-btn-outline actionBtn"><i
                                                            class="material-icons">
                                                            delete</i></button></td>

                                            </tr>
                                            <tr>
                                                <td>Republic Day</td>
                                                <td></td>
                                                <td>26/01/2018</td>
                                                <td>Fri</td>
                                                <td>26/01/2018</td>
                                                <td>Fri</td>
                                                <td class="thSeven"><button class="oct-btn oct-btn-outline actionBtn"><i
                                                            class="material-icons">
                                                            delete</i></button></td>

                                            </tr>
                                        </table>

                                    </div>
                                    <div class="mt-4">
                                        <button class="oct-btn oct-btn-primary"
                                            onclick="formValidations('addbranch');">Submit</button>
                                        <a href="#uploadHolidaysPopup" rel="modal:open"><button class="oct-btn btn-default roundedBtn ml-3">Upload
                                            Holidays Data</button></a>
                                    </div>

                                </div>

                            </div>

                        </div>

                    </div>
                    <!-- / tabs_item -->


                    <!-- / tab_content -->
                </div>
                <!-- / tab -->
            </div>
        </div>


        <div id="uploadHolidaysPopup" class="modal addFilterTablePopup">
           <h4>Upload Holidays</h4>
                    <div class="row no-padding uploadFileStyling">
                        <div style="width: 100%;" class="withLabel filterLable DashedBorder fields file-drop-area mb-4">

                            <label class="file-msg"><i class="fas fa-cloud-upload-alt"></i> Drop you file here or upload
                            </label>
                            <input class="file-input" type="file" multiple="">
                        </div>
                    </div>
                    <button class="oct-btn oct-btn-primary">Upload</button>
                    <button class="oct-btn oct-btn-outline">Download Sample</button>
              
        </div>

        <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
        <script src="../../../../dist/js/sidebar-admin.js"></script>
        <script src="../../../../dist/js/topbar.js"></script>
        <script src="../../../../dist/js/admin.js"></script>
        <script src="../../../../dist/js/octane.js"></script>
        <script>
            // A $( document ).ready() block.
            $(document).ready(function () {


                $(".cal1").click(function () {

                    $('#startDate').datepicker("show");

                });

                $(".cal2").click(function () {

                    $('#endDate').datepicker("show");

                });

                $("#endDate").datepicker({
                    dateFormat: 'dd/mm/yy',
                    onSelect: function () {
                        if ($("#endDate").val() != '') {
                            $("#endDate").removeClass('error');
                            $("#endDate-error").empty();
                        }

                    }
                });

                $("#startDate").datepicker({
                    dateFormat: 'dd/mm/yy',
                    onSelect: function () {
                        if ($("#startDate").val() != '') {
                            $("#startDate").removeClass('error');
                            $('#startDate-error').empty();
                        }

                    }
                });
            });
        </script>
</body>

</html>